@font-face {
    font-family: 'Poppins';
    src: url('./fonts/Poppins-Medium.otf') format('woff2');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Poppins-light';
    src: url('./fonts/Poppins-Light.otf') format('woff2');
    font-weight: light;
    font-style: normal;
}

body {
    font-family: 'Poppins';
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.button_menu {
    background: none;
    border: none;
    padding: 0;
    font: inherit;
    color: inherit;
    cursor: pointer;
    outline: inherit;
}

.button_menu {
    padding: 5px 10px;
    color: white;
    font-size: 22px;
    border-right: solid 2px white;
    transition: background-color 0.3s ease;
    font-family: "Poppins-light";
}

.button_menu:hover {
    background-color: #262E62;
    opacity: .8;
}

.button_menu_ultimo {
    background: none;
    border: none;
    padding: 0;
    font: inherit;
    color: inherit;
    cursor: pointer;
    outline: inherit;
}

.button_menu_ultimo {
    padding: 5px 10px;
    color: white;
    font-size: 22px;
    transition: background-color 0.3s ease;
    font-family: "Poppins-light";
}

.button_menu_ultimo:hover {
    background-color: #262E62;
    opacity: .8;
}

.header_top {
    background: #262E62;
    height: 40px;
}

.container {
    width: 80%;
    margin: 0 auto;
}

header {
    position: relative;
    color: #fff;
    text-align: center;
    height: 80vh;
    max-height: 700px;
    overflow: hidden;
}

.slider {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.slide {
    position: absolute;
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center;
    opacity: 0;
    transition: opacity 1s ease-in-out;
    transform: scale(1);
    animation: scaleAnimation 10s infinite;
}

.wrap_texts {
    position: relative;
    background: #262E62;
    color: white;
    height: 60px;
}

.texts {
    position: absolute;
    opacity: 0;
    transition: opacity 1s ease-in-out;
    top: 0;
    left: 0;
    font-family: "Poppins-light";
    font-size: 28px;
    width: 100%;
    height: 100%;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
}

.texts.active {
    opacity: 1;
}

@keyframes scaleAnimation {
    0% { transform: scale(1); }
    50% { transform: scale(1.02); }
    100% { transform: scale(1); }
}

.slide.active {
    opacity: 1;
}

.wrap_triangle {
    display: flex;
    justify-content: center;
}

.triangle {
    width: 0;
    height: 0;
    border-left: 77px solid transparent;
    border-right: 77px solid transparent;
    border-top: 50px solid #262E62;
}

.wrap_text_slide_1 {
    display: flex;
    justify-content: center;
    align-items: flex-end;
    width: 100%;
    height: 100%;
}

.text_slide p {
    width: 100%;
    height: 100%;
    font-size: 24px;
    color: #fff;
    font-family: 'Poppins-light';
    display: flex;
}

.wrap_text_slide_1 p {
    justify-content: center;
    align-items: flex-end;
    margin-bottom: 100px;
}

.wrap_text_slide_2 p {
    justify-content: flex-start;
    align-items: flex-end;
    margin-top: 200px;
    margin-left: 100px;
}

.wrap_text_slide_3 p {
    display: flex;
    justify-content: flex-end;
    align-items: flex-start;
    margin-bottom: 100px;
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    position: relative; /* Ensure navbar is above the slides */
    z-index: 1; /* Ensure navbar is above the slides */
}

.navbar img {
    width: 150px;
    height: 150px;
}

.menu {
    margin-top: 20px;
}

.image-flex-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 10px;
}

.image-item {
    flex: 1 1 calc(25% - 20px);
    margin: 10px;
    position: relative;
   
}

.color_1 {
    background: #002a4a;
}

.color_2 {
    background: #2c287f;
}

.color_3 {
    background: #425c7b;
}

.color_4 {
    background: #ff8b00;
}

.image-item img {
    width: 100%;
    height: auto;
    display: block;
}

.image-item .hover {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    transition: opacity 0.7s ease-in-out;
}

.image-item:hover .hover {
    opacity: 1;
}

.image-item:hover .normal {
    opacity: 0;
}

.contact {
    background: gray;
	margin-top: 30px;
}

.contact_wrap {
    padding: 50px 0;
    display: flex;
    justify-content: space-between;
}

.form-title {
    font-size: 20px;
    color: #fff;
    font-family: 'Poppins-light';
}


.map {
    width: 400px;
    height: 400px;
	margin-right: 50px;
}

.form_info {
    margin-left: 20px;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}

.form_int {
    display: flex;
    flex-direction: column;
}

input {
    color: white;
    font-family: 'Poppins-light';
    padding: 10px;
    border: solid 3px white;
    margin-bottom: 10px;
    background: none;
    z-index: 5;
}

input::placeholder {
    color: white;
}

input:focus {
    outline: none;
}

.select_wrap {
    position: relative;
}

label {
    position: absolute;
    top: 10px;
    left: 12px;
    z-index: 1;
    font-family: 'Poppins-light';
    color: white;
    font-size: 14px;
}

select {
    color: white;
    font-family: 'Poppins-light';
    padding: 10px;
    border: solid 3px white;
    margin-bottom: 10px;
    background: none;
    width: 100%;
    z-index: 3;
    outline: none;
}

select option {
    background-color: lightgray;
    color: black;
}

label.hidden {
    display: none;
}

input[type="submit"] {
    font-family: 'Poppins-light';
    color: white;
    background: #262E62;
    cursor: pointer;
    outline: none;
    margin: 0;
    border: none;
    padding: 20px;
    max-width: 300px;
    margin: auto;
    width: 100%;
}

input[type="submit"]:hover {
    background: #2c287f;
}

.success-message {
    background: green;
    color: white;
    margin: 10px 0;
    padding: 10px;
    text-align: center;
    display: none
}

.error-message {
    background: red;
    color: white;
    margin: 10px 0;
    padding: 10px;
    text-align: center;
    display: none
}

footer {
    font-family: 'Poppins-light';
    color: white;
    background: #262E62;
    margin: 0;
    padding: 10px;
    text-align: center;
}

@media (max-width: 768px) {

    .container {
        width: 90%;
    }

    .texts {
        font-size: 18px;
    }

    .image-item {
        flex: 1 1 100%;
    }

    .navbar {
        flex-direction: column;
    }

    .menu {
        margin: 30px auto;
    }

    .button_menu {
        font-size: 20px;
    }

    .contact_wrap {
        flex-direction: column;
        padding: 0px;
        width: 100%;
    }

    .map {
        width: 100%;
        height: 100%;
        margin-top: 20px;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .form_info {
        width: 100%;
        margin: 20px 0px;
    }

    .image-flex-container {
        padding: 0;
    }

}

